Bug 207347 - CVE-2006-0576 Arbitrary code execution via OProfile
CVE-2006-0576 Arbitrary code execution via OProfile
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: oprofile (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: William Cohen
impact=low,reported=20060207,source=c...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 15:30 EDT by Josh Bressers
Modified: 2010-11-01 06:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 06:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-09-20 15:30:02 EDT
+++ This bug was initially created as a clone of Bug #180723 +++

Arbitrary code execution via OProfile

A bug has been discovered in OProfile's opcontrol command.  By setting
PATH to point at certain malicious scripts, it is possible to execute
arbitrary commands as root.

We don't ship opcontrol setuid, but if a user has the ability to run
opcontrol via sudo, this issue can be leveraged.

It should be noted that untrusted users should not be given sudo
access, which seriously mitigates the potential damage this issue can
cause.

http://marc.theaimsgroup.com/?l=bugtraq&m=113935237519964&w=2


This issue also affects RHEL3

-- Additional comment from wcohen@redhat.com on 2006-02-10 10:15 EST --
There was some discussion on the oprofile mailing list to fix this. The
resulting patch from the upstream oprofile has been backported to the RHEL4
oprofile. Should be in oprofile 0.8.1-22.

-- Additional comment from bressers@redhat.com on 2006-03-01 14:53 EST --
Don't forget to patch this in RHEL3 as well as RHEL4.

-- Additional comment from wcohen@redhat.com on 2006-03-01 15:08 EST --
This patch was checked into RHEL-3 repository. Just need to submit to the build
system.


This bug has been split from the RHEL4 bug to track this issue for RHEL3
Comment 1 William Cohen 2006-11-20 11:08:08 EST
oprofile-0.5.4-24 built that has the required backport of the fix.
Comment 2 Mark J. Cox (Product Security) 2010-11-01 06:13:03 EDT
EOL

Note You need to log in before you can comment on or make changes to this bug.